Subject: Re: [sfc] Fwd: IETF WG state changed for draft-ietf-sfc-nsh-tlv

From: <[email-masked]>
Date: Sat, 8 May 2021 15:18:03 +0800 (CST)

Thank you Med，

Yes，you are right. Tenant ID in Section 4.1 and 4.2 are confusing.

“Tenant ”is a common cloud orchestration proper noun, I suggest to use Forwarding Context ID in Section 4.1

Then keep "Tenant ID" for Section 4.2

Best Regards,

Yuehua Wei

M: +86 13851460269 E: [email-masked]

原始邮件

发件人：[email-masked]
收件人：Joel Halpern;[email-masked];
日 期 ：2021年04月29日 23:55
主 题 ：Re: [sfc] Fwd: IETF WG state changed for draft-ietf-sfc-nsh-tlv

Hi Joel, all,  
 
The same concerns that I raised back in 01/21 are still valid for this version. I'm resending the comments, fwiw.
 
******
I would be more than happy to provide text but the issue is that I don't know what is the intent/purpose of many of these TLVs.  
 
Consider for example this one:   
 
==
4.7.  Universal Resource Identifier
 
[[removing the figure]]
 
   where
 
      URI (Universal Resource Identifier) Type is four bits-long field
      that specifies the format of the URI field.  This document defines
      the following values for the URI Type field:
 
      *  0x1: URI in standard string format as defined in [RFC3986].
 
      *  0x2: URI represented in a compacted hash format.
==
 
I fail to see what this URI is for and how it can be consumed by upstream SFs.  
 
The same applies for Ingress Network Node Information and Ingress Network Source Interface. Not clear to me how supplying this information will be useful for upstream SFs.  
 
Likewise, no clear what is the difference between the Tenant ID in Section 4.2 and 4.3. Why a tenant type is needed in 4.3, but not 4.2.  
 
The POLICY_ID and Tenant ID are likely to trigger similar discussion (at least by the IESG) as what is documented for Performance Policy Identification and Subscriber ID in draft-ietf-sfc-serviceid-header. The authors may grab whatever text recorded there, as appropriate.
*****
 
Cheers,
Med
 
> -----Message d'origine-----
> De : sfc [mailto:[email-masked]] De la part de Joel Halpern
> Envoyé : jeudi 29 avril 2021 17:40
> À : [email-masked]
> Objet : Re: [sfc] Fwd: IETF WG state changed for draft-ietf-sfc-nsh-
> tlv
>  
> Thank you Donald.  Working group members-- please -- we need comments
> of support or objection.  reviews are even better.
>  
> Yours,
> Joel
>  
> On 4/29/2021 11:07 AM, Donald Eastlake wrote:
> > My apologies for taking a while but I do support publication with
> > changes and I am in the process of doing a review which I hope to
> post
> > later today or tomorrow.
> > 
> > Thanks,
> > Donald
> > ===============================
> >   Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
> >   2386 Panoramic Circle, Apopka, FL 32703 USA [email-masked]
> > <mailto:[email-masked]> 
> > 
> > 
> > On Thu, Apr 1, 2021 at 11:46 AM Joel M. Halpern
> <[email-masked]
> > <mailto:[email-masked]>> wrote:
> > 
> >     As requested by the document editors, this starts WG last call
> for the
> >     TLV document.  Please speak up.
> > 
> >     Thank you,
> >     Joel
> > 
> >     PS: And we would like a document shepherd for this.
> > 
> > 
> >     -------- Forwarded Message --------
> >     Subject: IETF WG state changed for draft-ietf-sfc-nsh-tlv
> >     Resent-Date: Thu,  1 Apr 2021 08:40:19 -0700 (PDT)
> >     Resent-From: [email-masked] <mailto:alias-
> [email-masked]> 
> >     Resent-To: [email-masked]
> >     <mailto:[email-masked]>,
> [email-masked]
> >     <mailto:[email-masked]>,
> >     [email-masked] <mailto:[email-masked]> 
> >     Date: Thu, 01 Apr 2021 08:40:19 -0700
> >     From: IETF Secretariat <[email-masked]
> >     <mailto:[email-masked]>> 
> >     To: [email-masked]
> >     <mailto:[email-masked]>, [email-masked]
> >     <mailto:[email-masked]> 
> > 
> > 
> >     The IETF WG state of draft-ietf-sfc-nsh-tlv has been changed to
> "In
> >     WG Last
> >     Call" from "WG Document" by Joel Halpern:
> > 
> >     https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh-tlv/
> >     <https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh-tlv/> 
> > 
> >     Comment:
> >     This starts a two week last call for this document.  Please
> speak
> >     up.  We
> >     need to see support for sending this to the IESG.  Silence is
> not
> >     consent.
> >     The last call will end at the end of 16-April-2021.
> > 
> >     Thank you,
> >     Joel (and Jim)
> > 
> >     _______________________________________________
> >     sfc mailing list
> >     [email-masked] <mailto:[email-masked]> 
> >     https://www.ietf.org/mailman/listinfo/sfc
> >     <https://www.ietf.org/mailman/listinfo/sfc> 
> > 
>  
> _______________________________________________
> sfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sfc

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

_______________________________________________
sfc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sfc

---

From: <[email-masked]>
Date: Wed, 26 May 2021 21:09:28 +0000

Dear all,
if it’s still worth I did another quick review on the latest version and while I agree to move the document forward I want to point you to some nits or what I thought could be:
p.2:
1.  Service Function Path identification => 1.  Service Function Path (SFP) identification
p.3:
and the interpretation of the Tenant ID field => and the interpretation of the Forwarding Context ID field
See Figure Figure 3.  Reserved => See Figure 3.  Reserved
Same with Figure 4/5/6  …
p.6
or 8 bytes MAC address, etc,. => or 8 bytes MAC address (EUI-64), etc.

Thanks!
Best Regards
Dirk

From: sfc <[email-masked]> On Behalf Of [email-masked]
Sent: Samstag, 8. Mai 2021 09:18
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [sfc] Fwd: IETF WG state changed for draft-ietf-sfc-nsh-tlv

Thank you Med，

Best Regards,

Yuehua Wei

M: +86 13851460269 E: [email-masked]<mailto:[email-masked]>

原始邮件
发件人：[email-masked]<mailto:[email-masked]>
收件人：Joel Halpern;[email-masked];
日 期 ：2021年04月29日 23:55
主 题 ：Re: [sfc] Fwd: IETF WG state changed for draft-ietf-sfc-nsh-tlv
Hi Joel, all,

******

==

[[removing the figure]]

   where

Cheers,
Med

> À : [email-masked]<mailto:[email-masked]>
> >   2386 Panoramic Circle, Apopka, FL 32703 USA [email-masked]<mailto:[email-masked]>
<mailto:[email-masked]%0b>> > <mailto:[email-masked]>> wrote:
> >     Resent-From: [email-masked]<mailto:[email-masked]> <mailto:alias-
<mailto:alias-%0b>> [email-masked]<mailto:[email-masked]>>
> >     Resent-To: [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>
> >     [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
<mailto:[email-masked]%0b>> >     <mailto:[email-masked]>>
> >     To: [email-masked]<mailto:[email-masked]>
> >     <mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
> >     [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
sfc mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sfc

---

From: <[email-masked]>
Date: Thu, 27 May 2021 09:12:35 +0800 (CST)

Dear Dirk,

Will update to version-07.

Thank you for your kind comments!

Best Regards,

Yuehua Wei

原始邮件

发件人：[email-masked]
收件人：魏月华00019655;
抄送人：[email-masked];[email-masked];[email-masked];
日 期 ：2021年05月27日 05:11
主 题 ：Re: [sfc] Fwd: IETF WG state changed for draft-ietf-sfc-nsh-tlv

Dear all,

p.2:

p.3:

Same with Figure 4/5/6  …

p.6

     

Thanks!

Best Regards
 Dirk 

 

Thank you Med，

Best Regards,

Yuehua Wei

 

原始邮件

日 期 ：2021年04月29日 23:55

Hi Joel, all,  

 ******

 ==
 
 [[removing the figure]]
 
    where

 

 

 Cheers,
 Med